## ros-indigo-youbot-driver 1.1.0

=== src/display/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

ADD_EXECUTABLE(displayIpAddress
  DisplayIpAddress.cpp

)

target_link_libraries(displayIpAddress stdc++)

INSTALL(TARGETS displayIpAddress
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/soem/CMakeLists.txt ===
if(WIN32)
	include_directories(
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem/osal
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem/osal/win32
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem/oshw/win32
	)
else(WIN32)
	include_directories(
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem/osal
		${PROJECT_SOURCE_DIR}/include/youbot_driver/soem/oshw/linux
	)
endif(WIN32)

if(WIN32)
	set(SOEM_OS_SOURCE_FILES
		osal/win32/osal.c
		oshw/win32/nicdrv.c
		oshw/win32/oshw.c
	)		
else(WIN32)
	set(SOEM_OS_SOURCE_FILES
		osal/linux/osal.c
		oshw/linux/nicdrv.c
		oshw/linux/oshw.c
	)		
endif(WIN32)

ADD_LIBRARY(soem 
	ethercatbase.c 
	ethercatcoe.c 
	ethercatconfig.c 
	ethercatdc.c 
	ethercatfoe.c 
	ethercatmain.c 
	ethercatprint.c 
	ethercatsoe.c 
	${SOEM_OS_SOURCE_FILES}
)

INSTALL(TARGETS soem 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-youbot-driver (1.1.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Walter Nowak <nowak@locomotec.com>  Tue, 12 May 2015 12:47:45 -0000

=== debian/control ===
Source: ros-indigo-youbot-driver
Section: misc
Priority: extra
Maintainer: Walter Nowak <nowak@locomotec.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosconsole, ros-indigo-roscpp
Homepage: http://github.com/youbot/youbot_driver
Standards-Version: 3.9.2

Package: ros-indigo-youbot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosconsole, ros-indigo-roscpp
Description: driver for the KUKA youBot robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-youbot-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
